uk.gov.hmrc.client

# CacheRepository

###
Related Doc: package client

#### class CacheRepository extends CachedStaticHtmlPartialRetriever

Linear Supertypes
CachedStaticHtmlPartialRetriever, PartialRetriever, TemplateProcessor, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CacheRepository
2. CachedStaticHtmlPartialRetriever
3. PartialRetriever
4. TemplateProcessor
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CacheRepository(wsclient: WSClient, appConfig: ApplicationConfig, playActorSystem: ActorSystem)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val cacheTicker: Ticker

   Definition Classes
     CachedStaticHtmlPartialRetriever

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def expireAfter: Duration

   Definition Classes
     CacheRepository → CachedStaticHtmlPartialRetriever

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getPartial(url: String, templateParameters: Map[String, String])(implicit request: RequestHeader): HtmlPartial

    Definition Classes
      PartialRetriever

13. #### def getPartialContent(url: String, templateParameters: Map[String, String], errorMessage: Html)(implicit request: RequestHeader): Html

    Definition Classes
      PartialRetriever

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### val httpGet: CoreGet

    Definition Classes
      CacheRepository → PartialRetriever

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### def loadPartial(url: String)(implicit request: RequestHeader): HtmlPartial

    Attributes
      protected
    Definition Classes
      CachedStaticHtmlPartialRetriever → PartialRetriever

18. #### def maximumEntries: Int

    Definition Classes
      CachedStaticHtmlPartialRetriever

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def partialRetrievalTimeout: Duration

    Definition Classes
      PartialRetriever

23. #### def processTemplate(template: Html, parameters: Map[String, String])(implicit request: RequestHeader): Html

    Definition Classes
      TemplateProcessor

24. #### def refreshAfter: Duration

    Definition Classes
      CacheRepository → CachedStaticHtmlPartialRetriever

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### def get(url: String, templateParameters: Map[String, String], errorMessage: Html)(implicit request: RequestHeader): Html

   Definition Classes
     PartialRetriever
   Annotations
     @deprecated
   Deprecated

     (Since version 16/10/15) Use getPartial or getPartialContent instead

### Inherited from CachedStaticHtmlPartialRetriever

### Inherited from PartialRetriever

### Inherited from TemplateProcessor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped